Name: mpfr
Version: 3.1.2
Release: 11
Group: System Environment/Libraries
License: LGPLv2+ and GPLv2+ and GFDL
URL: http://www.mpfr.org/
Summary: A C library for multiple-precision floating-point computations


BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool

BuildRequires: gmp-devel

Source0: http://www.mpfr.org/mpfr-%{version}/mpfr-%{version}.tar.xz

%description
The MPFR library is a C library for multiple-precision floating-point
computations with "correct rounding". The MPFR is efficient and
also has a well-defined semantics. It copies the good ideas from the
ANSI/IEEE-754 standard for double-precision floating-point arithmetic
(53-bit mantissa). MPFR is based on the GMP multiple-precision library.

%package -n libmpfr4
Summary: A C library for multiple-precision floating-point computations

%description -n libmpfr4
The MPFR library is a C library for multiple-precision floating-point
computations with "correct rounding". The MPFR is efficient and
also has a well-defined semantics. It copies the good ideas from the
ANSI/IEEE-754 standard for double-precision floating-point arithmetic
(53-bit mantissa). MPFR is based on the GMP multiple-precision library.

%package -n mpfr-devel
Requires: libmpfr4 = %{version}
Summary: A C library for multiple-precision floating-point computations

%description -n mpfr-devel
The MPFR library is a C library for multiple-precision floating-point
computations with "correct rounding". The MPFR is efficient and
also has a well-defined semantics. It copies the good ideas from the
ANSI/IEEE-754 standard for double-precision floating-point arithmetic
(53-bit mantissa). MPFR is based on the GMP multiple-precision library.

%prep
%setup -q

%build

%configure \
  CFLAGS="-Wl,-brtl -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib" \
  CXXFLAGS="-Wl,-brtl -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib" \
  LDFLAGS="-Wl,-brtl -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib" \
  --host=powerpc64-ibm-aix6 \
  --build=powerpc64-ibm-aix6 \
  --with-aix-soname=svr4 \
  --with-gmp-include=%{_includedir} \
  --with-gmp-lib=%{_libdir} \
  --enable-shared \
  --disable-static \
  #end

rm libtool
ln -s `which libtool` .

%make_build

%install

%make_install

find %{buildroot}/%{_libdir} -name \*.la | xargs rm

%files -n libmpfr4
%defattr(-, qsys, *none)

%{_libdir}/libmpfr.so.4

%files -n mpfr-devel
%defattr(-, qsys, *none)

%{_includedir}/mpf2mpfr.h
%{_includedir}/mpfr.h

%{_libdir}/libmpfr.so

%{_docdir}/mpfr
# /QOpenSys/pkgs/share/doc/mpfr/AUTHORS
# /QOpenSys/pkgs/share/doc/mpfr/BUGS
# /QOpenSys/pkgs/share/doc/mpfr/COPYING
# /QOpenSys/pkgs/share/doc/mpfr/COPYING.LESSER
# /QOpenSys/pkgs/share/doc/mpfr/FAQ.html
# /QOpenSys/pkgs/share/doc/mpfr/NEWS
# /QOpenSys/pkgs/share/doc/mpfr/TODO
# /QOpenSys/pkgs/share/doc/mpfr/examples
# /QOpenSys/pkgs/share/doc/mpfr/examples/ReadMe
# /QOpenSys/pkgs/share/doc/mpfr/examples/divworst.c
# /QOpenSys/pkgs/share/doc/mpfr/examples/rndo-add.c
# /QOpenSys/pkgs/share/doc/mpfr/examples/sample.c
# /QOpenSys/pkgs/share/doc/mpfr/examples/version.c

%{_infodir}/mpfr.info

%changelog
